#ifndef EXT_APP_SST_PARSER_H
#define EXT_APP_SST_PARSER_H
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Wed Nov 17 17:44:42 2004
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief this file contains needed workarounds for the external application code.
   *     
   *
   *  \version extApp_SSTParser.h#1:csrc:8
   *  \author Ohads
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

#ifdef __cplusplus
extern "C"
{
#endif

/* DATA operations*/
DxUint32_t	DX_SST_DataRead();

DxUint32_t	DX_SST_DataSizeGet();

DxUint32_t	DX_SST_MMAuthSet();

DxUint32_t  DX_SST_MMPrivAuthOpen();

DxUint32_t	DX_SST_AuthenticatorDelete();

DxUint32_t	DX_SST_AuthenticationOpen();

DxUint32_t	DX_SST_AuthenticationClose();

DxUint32_t	DX_SST_AuthenticatorBind();

DxUint32_t	DX_SST_AuthenticatorUnbind();

DxUint32_t	DX_SST_AESKeyRead();

DxUint32_t	DX_SST_DESKeyRead();

DxUint32_t	DX_SST_HMACKeyRead();

DxUint32_t	DX_DX_SST_RSAKeyRead();

DxUint32_t	DX_DX_SST_CRTRSAKeyRead();

#ifdef __cplusplus
}
#endif			

#endif

